##############################################################################
#
# Copyright (c) 2005 Zope Foundation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""
$Id: tests.py 77914 2007-07-14 11:09:50Z jukart $
"""
__docformat__ = 'restructuredtext'

import unittest

from zope import component

from zope.testing import doctest
from zope.testing.doctestunit import DocFileSuite
from zope.publisher.interfaces.browser import IBrowserView

from zope.app.testing import setup
from zope.app.publication.interfaces import IBeforeTraverseEvent

import setter

def setUp(test):
    root = setup.placefulSetUp()
    component.provideHandler(setter.onBrowserViewBeforeTraverse,
                             (IBrowserView, IBeforeTraverseEvent))

def tearDown(test):
    setup.placefulTearDown()

def test_suite():
    return unittest.TestSuite((
        DocFileSuite('README.txt',
                     setUp=setUp, tearDown=tearDown,
                     optionflags=doctest.NORMALIZE_WHITESPACE|doctest.ELLIPSIS,
                     ),
        ))


if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
